Loading...
Searching...
No Matches
pdftron::PDF::CubicCurveBuilder Class Reference

`#include <CubicCurveBuilder.h>`

## Public Member Functions
| CubicCurveBuilder ()
| CubicCurveBuilder (const CubicCurveBuilder &other)
| CubicCurveBuilder (TRN_CubicCurveBuilder impl)
CubicCurveBuilder & | operator= (const CubicCurveBuilder &other)
| ~CubicCurveBuilder ()
void | Destroy ()
UInt32 | NumSourcePoints ()
void | AddSourcePoint (double x, double y)
UInt32 | NumCubicPoints ()
double | GetCubicXCoord (UInt32 index)
double | GetCubicYCoord (UInt32 index)

## Public Attributes
TRN_CubicCurveBuilder | m_impl

## Detailed Description

The class CubicCurveBuilder. Creates Cubic Curves from linear points

DocumentConversion instances are created through methods belonging to the Convert class. See Convert.WordToPDFConversion for an example.

Definition at line 25 of file CubicCurveBuilder.h.

## Constructor & Destructor Documentation

## ◆ CubicCurveBuilder() [1/3]

pdftron::PDF::CubicCurveBuilder::CubicCurveBuilder | ( |  | ) |

## ◆ CubicCurveBuilder() [2/3]

pdftron::PDF::CubicCurveBuilder::CubicCurveBuilder | ( | const CubicCurveBuilder & | other | ) |

## ◆ CubicCurveBuilder() [3/3]

pdftron::PDF::CubicCurveBuilder::CubicCurveBuilder | ( | TRN_CubicCurveBuilder | impl | ) |

## ◆ ~CubicCurveBuilder()

pdftron::PDF::CubicCurveBuilder::~CubicCurveBuilder | ( |  | ) |

## Member Function Documentation

## ◆ AddSourcePoint()

void pdftron::PDF::CubicCurveBuilder::AddSourcePoint | ( | double | x,
|  | double | y )

Add a source xy point.

Parameters

  x | – the x coordinate.
  y | – the y coordinate.

## ◆ Destroy()

void pdftron::PDF::CubicCurveBuilder::Destroy | ( |  | ) |

## ◆ GetCubicXCoord()

double pdftron::PDF::CubicCurveBuilder::GetCubicXCoord | ( | UInt32 | index | ) |

Get the cubic X coordinate.

Parameters

  index | – the index of the coordinate. Must be less than NumCubicPoints().

Returns
  X coordinate of the indicated point on the cubic curve.

## ◆ GetCubicYCoord()

double pdftron::PDF::CubicCurveBuilder::GetCubicYCoord | ( | UInt32 | index | ) |

Get the cubic Y coordinate.

Parameters

  index | – the index of the coordinate. Must be less than NumCubicPoints().

Returns
  Y coordinate of the indicated point on the cubic curve.

## ◆ NumCubicPoints()

UInt32 pdftron::PDF::CubicCurveBuilder::NumCubicPoints | ( |  | ) |

Number of generated cubic points.

Returns
  Indicates that the conversion succeeded, failed, or was cancelled.

## ◆ NumSourcePoints()

UInt32 pdftron::PDF::CubicCurveBuilder::NumSourcePoints | ( |  | ) |

Number of source points.

Returns
  Indicates that the conversion succeeded, failed, or was cancelled.

## ◆ operator=()

CubicCurveBuilder & pdftron::PDF::CubicCurveBuilder::operator= | ( | const CubicCurveBuilder & | other | ) |

## Member Data Documentation

## ◆ m_impl

TRN_CubicCurveBuilder pdftron::PDF::CubicCurveBuilder::m_impl

Definition at line 77 of file CubicCurveBuilder.h.

The documentation for this class was generated from the following file:

- PDF/CubicCurveBuilder.h